About electrical engineering diagrams

Use the Electrical Engineering template to create electrical and electronic schematic diagrams.

You can create:

  • Basic electrical diagrams, such as schematic, one-line, and wiring diagrams.

Show me an example

  • Electrical engineering systems diagrams, such as power distribution or electrical services schematics.

Show me an example

  • Circuit and logic diagrams, such as integrated circuits.

Show me an example

  • Industrial control systems diagrams, such as logic diagrams for control systems.

Show me an example

Create an electrical engineering diagram


Create an electrical engineering diagram

Show me a general electrical engineering diagram

Show me a circuits and logic diagram

Show me an industrial control system diagram

Show me a systems diagram

  1. On the File menu, point to New, point to Electrical Engineering, and then click one of the following:
  • Basic Electrical
  • Circuits and Logic
  • Industrial Control Systems
  • Systems

These templates open an unscaled drawing page in portrait orientation [image]. You can change these settings at any time.

  2. Drag electrical component shapes from the stencils onto the drawing page. Shapes can have custom properties. You can enter custom property values and add new properties to a shape.

Click to show or hide information. Enter custom property values

  1. Select a shape, and then on the Shape menu, click Custom Properties.

If the shape has no custom properties, a message appears and prompts you to define custom properties.

  2. In the Custom Properties dialog box, click in each custom property field and type or select a value.
  3. Connect electrical components using the Connector tool [image] or connector shapes.

Click to show or hide information. Use the Connector tool

  1. Click the Connector tool [image].
  2. Drag from a connection point [image] on the first shape to a connection point on the second shape. The connector endpoints turn red when the shapes are connected.

Click to show or hide information. Use connector shapes

  1. Drag a connector shape from the stencil.

Note Not all stencils have a connector shape. If you don't see one, open a stencil that has the connector shapes you want.

  2. Place the connector's begin point [image] on the parent shape (the shape you're connecting from).
  3. Place the connector's end point [image] on the child shape (the shape you're connecting to).

When the connector is glued to the shapes, the endpoints turn red.

  4. Label individual electrical component shapes by selecting the shape and typing.


General electrical engineering diagram example

Electrical engineering circuit

Use the Basic Electrical template to create a diagram similar to this one.


Circuits and logic diagram example

Integrated circuit schematic diagram

Use the Circuits and Logic template to create a diagram similar to this one.


Systems diagram example

Electrical engineering circuit

Use the Systems template to create a diagram similar to this one.


Industrial control systems example

Industrial control system circuit

Use the Industrial Control Systems to create a diagram similar to this one.